#!/usr/bin/env python
# GNU Enterprise Common Testing client 
#
# Copyright 2001 Free Software Foundation
#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it 
# and/or modify it under the terms of the GNU General Public 
# License as published by the Free Software Foundation; either 
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be 
# useful, but WITHOUT ANY WARRANTY; without even the implied 
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public 
# License along with program; see the file COPYING. If not, 
# write to the Free Software Foundation, Inc., 59 Temple Place 
# - Suite 330, Boston, MA 02111-1307, USA.
#
# $Id: GTest.py,v 1.1.1.1 2003/12/12 22:15:08 john Exp $


import sys, string, os

def getInput(message, default, responseSet=None):
  print ""
  while 1:
    if default != None:
      print "%s [%s] " % (message, default),
    else:
      print "%s " % (message),

    val = string.strip(sys.stdin.readline())
    print ""

    if not len(val) and default != None:
      return default
    elif responseSet and string.upper(val) in (responseSet):
      return string.upper(val)
    elif not responseSet:
      return val


def getYesNo(message, default=None):
  return getInput(message,default,('Y','N')) == 'Y'

def getNumber(message, default=None):
  return getInput(message,default,('0','1','2','3','4','5',
                                   '6','7','8','9')) 

def chooseTest():
    print """
GNU Enterprise Framework Tests and Demos:
=========================================

0)  GNU RPC test (client part)
    (you have to start the GNU RPC test server first)     

1)  GNU RPC test (server part)
    (has to be started before you can run choice "0" )

2)  GNU Application Server demo
    (test the application server directly,
     i.e no client-server or RPC code)

3)  GNU Application Server RPC demo client
    (you have to start the application server first;
     please type 'gacvs' on an other console to start
     it up.)

9)  quit

"""
    return getNumber("Your choice:")

def runTest(x):

    if x=="0":
        from gnue.common.commdrivers._test import test
        print """
GNU RPC test (client part)
==========================

0) test proxy (no server needed)

1) test xmlrpc (server needed)

2) test pw_xmlrpc (server needed)

3) test sockets (server needed)
   (not working)
        
        """
        y=getNumber("Your choice:")
        if y=="0":
          test.test_proxy()
        elif y=="1":
          test.test_xmlrpc()
        elif y=="2":
          test.test_pw_xmlrpc()
        elif y=="3":          
          test.test_sockets()
        else:
          pass
        
    elif x=="1":      
        from gnue.common.commdrivers._test import server
        print """
GNU RPC test (server part)
==========================

Choose the protocol:

0) xmlrpc

1) pw_xmlrpc

2) test sockets 
   (not working)
        
        """
        y=getNumber("Your choice:")
        if y=="0":
          server.bind_xmlrpc()
          server.run()
        elif y=="1":
          server.bind_pw_xmlrpc()
          server.run()
        elif y=="2":
          server.bind_sockets()
          server.run()
        else:
          pass
        
    elif x=="2":
        from gnue.appserver import test
        test.run()

    elif x=="3":
        from gnue.appserver import geasRpcClient
        geasRpcClient.run()
    else:
        sys.exit()
        
    
if __name__ == "__main__":
    runTest(chooseTest())
