#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with program; see the file COPYING. If not,
# write to the Free Software Foundation, Inc., 59 Temple Place
# - Suite 330, Boston, MA 02111-1307, USA.
#
# Copyright 2001 Free Software Foundation
#
# FILE:
# xmlrpc/DebugSocketServer.py
#
# DESCRIPTION:
# Class that implement a temporary SocketServer to test the xmlrpc
# implementation.
#
# NOTES:
# This will be replaced with _helpers/AsyncSocketServer as soon
# as it is operational. This SocketServer is not suitable for
# production use -- it is a synchronous, blocking SocketServer
# (i.e., it can handle one client at a time :)
#


import SocketServer
import socket
import xmlrpclib

from gnue.common.commdrivers import GCommBase
from gnue.common import GComm

class DebugSocketServer(GCommBase.Server):

  def __init__(self, params):
    try:
      self._port = params['port']
    except KeyError:
      raise GComm.AdapterConfigurationError, _('Required parameter "port" not supplied')
    # self._tcpserver = SocketServer.TCPServer(('',self._port),
    #      self._requestHandler)



  def serve(self):
    pass


class HTTPServer(DebugSocketServer):

  def __init__(self, params):
    DebugSocketServer.__init__(self, params)


class MyHTTPServer(SocketServer.ThreadingTCPServer):
  def setParent(self,parent):
    self._parent=parent
    
  def server_bind(self):
    self.socket.setsockopt(socket.SOL_SOCKET, socket.SO_REUSEADDR, 1)
    self.socket.bind(self.server_address)




