#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it 
# and/or modify it under the terms of the GNU General Public 
# License as published by the Free Software Foundation; either 
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be 
# useful, but WITHOUT ANY WARRANTY; without even the implied 
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR 
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public 
# License along with program; see the file COPYING. If not, 
# write to the Free Software Foundation, Inc., 59 Temple Place 
# - Suite 330, Boston, MA 02111-1307, USA.
#
# Copyright 2000, 2001 Free Software Foundation
#
#
# FILE:
# GFDatabase.py
#
# DESCRIPTION:
# Handles the <database> tag.  
#
# NOTES:
# Only under special circumstances should the database tag be used. 
# Usually, the connections are defined in the connections.conf file. 
#
# HISTORY:
#

from gnue.common import GDebug
import string
from GFObj import GFObj


class GFDatabase(GFObj):
  def __init__(self, parent=None):
    GFObj.__init__(self, parent, "GFDatabase")
    self.comment = ""
    self.name = ""
    self._inits =[self.initialize]
    
  def _buildObject(self):
    self.name = string.lower(self.name)
    return GFObj._buildObject(self)

  def initialize(self):
    # Add our database connection information to the connections
    # manager, then let it handle everything from there.
    self.findParentOfType('GFForm')._app.connections.\
        addConnectionSpecification(self.name, {
           'name': self.name, 
           'provider': self.provider, 
           'dbname': self.dbname, 
           'host': self.host } )


