#
# Copyright 2000-2002 Free Software Foundation
#
# This file is part of GNU Enterprise.
#
# GNU Enterprise is free software; you can redistribute it
# and/or modify it under the terms of the GNU General Public
# License as published by the Free Software Foundation; either
# version 2, or (at your option) any later version.
#
# GNU Enterprise is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied
# warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR
# PURPOSE. See the GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public
# License along with program; see the file COPYING. If not,
# write to the Free Software Foundation, Inc., 59 Temple Place
# - Suite 330, Boston, MA 02111-1307, USA.
#
# FILE:
# UIWidget.py
#
# DESCRIPTION:
# A generic class that handles most the internals of widget management in
# gnue forms.  This should be subclassed by each of the specific driver's
# widgets.
#
# NOTES:
#

#from GFForm import *
#from GFEvent import *
#from gnue.common.GObjects import *

class UIWidget:
  def __init__(self, event):

    object = event.object

    self.widgets = []
    if not hasattr(object,'_rows'):
      object._rows = 1

    if not hasattr(object,'_gap'):
      object._gap = 0

    if hasattr(object,'width'):
      self.itemWidth = object.width*int(event.textWidth)
      self.itemHeight = object.height*int(event.textHeight)
    else:
      self.itemWidth = -1
      self.itemHeight = -1

    if hasattr(object,'x'):
      self.itemX = object.x*int(event.widgetWidth)
    else:
      self.itemX = -1

    if not object.hidden:
      for spacer in range(int(object._rows)):
        newWidget = self.createWidget(event, spacer)
        self.widgets.append(newWidget)


  def createWidget(self, event, spacer):
    GDebug.printMesg(1,"UI doesn't support %s" % self.__class__)



