#!/bin/bash
set -e

cd $(dirname $0)

PG_HBA=/etc/postgresql/pg_hba.conf
SITE_PY=/etc/python2.1/site.py
CORREME=$(/bin/pwd)/../correme

if [ "$UID" -ne 0 ]; then
    echo Este programa debe ser corrido como root.
    exit 1
fi

if [ ! -e "$CORREME" ]; then
    echo Este programa debe ser corrido desde la distribucin de Luca.
    exit 1
fi

apt-get install postgresql python2.1-egenix-mxdatetime python2.1-psycopg python2.1-xml libwxgtk2.2-python python2.1-4suite python-gtk python2.1-optik xfonts-gimpers

perl -w -pi~ -e 's/^(encoding.*ascii.*)$/#$1\nencoding = "ISO-8859-1"' "$SITE_PY"

if ! grep -q papo "$PG_HBA"; then
    echo "host papo 127.0.0.1 255.0.0.0 trust" >> "$PG_HBA"
    /etc/init.d/postgresql restart

    su - postgres -c 'createuser -d -A papo && createdb -Upapo -ELATIN1 -hlocalhost papo'
fi

"$CORREME"
