# Copyright 2003 Fundacion Via Libre
#
# This file is part of PAPO.
# 
# PAPO is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# PAPO is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with PAPO; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

# Varias cosas que hacen falta en los gfd y que la gente de gnue, en
# su infinita sabidura, no ha considerado suficientemente tiles para
# poner en algn lugar til.


#  convertir cualquier cosa a float. O trata, al menos (a lo sumo vas
#  a tener un hermoso 0.0, en vez de un Exception)

def a2f(a, p=None):
  s=str(a)
  f=0.0
  while ((not f) and len(s)):
    try:
      f=float(s)
    except ValueError:
      pass
    s=s[0:-1]
  if p:
    return(round(f, p))
  else:
    return (f)


# en PAPO, 'true' es 'no false', y 'false' es None, o 0, o string
# vaco, o cualquier cosa que empiece con 'n' o 'N'.

def is_true(x):
  r = 0
  if (x):
    s = str(x)
    if (s and s[0] != 'n' and s[0] != 'N'):
      r = 1
  return r


#   hace que rollback funcione como uno en general quiere (por
#   ejemplo, que haga rollback)

def rollback(block):
  block.reset()

#   borra el registro actual. esto es corto hoy, pero si llegamos a
#   encontrar que hace falta agrandarlo, mejor tenerlo ac, no?

def deleteCurrentRecord(block):
  block.deleteRecord()
  block.commit()


#   realiza la bsqueda especificada

def search(block, search_entry, result_entry):
  block.clear()
  block.initQuery()
  result_entry = str(search_entry)+'%'
  block.processQuery()


#   prepara para ABM de dato buscado

def constrain(search_block, result_block, search_entry, result_entry):
  result_block.clear()
  if (search_block.getRecordCount() > 0
      and not search_block.getCurrentRecord().isEmpty()):
    result_block.initQuery()
    result_entry = str(search_entry)
    result_block.processQuery()


#   ante un cambio de pgina se fija si han habido cambios en la
#   pgina anterior y pide commit/rollback y eventualmente cancelar el
#   cambio (esto ltimo requerira un poco ms de sanity de parte de
#   gnue/wx)

#   parmetros: self (es decir, el objeto form), una lambda form que
#   haga el insert del maestro (e.g. self.fooTrigger), y el bloque
#   maestro.

def confirmPageChanges(form, triggerName, masterblck):
  changed = filter(lambda t: not t.isSaved(), form._object._blockList)
  if len(changed) > 0:
    if form.genericBox('Hay cambios pendientes \n Qu desea hacer ?',['Grabar','Deshacer']) == 1:
      form.callTrigger(triggerName)
    else:
      for block in changed:
        block.reset()

# cuando se esta por hacer rollback de un bloque, se debe preguntar si graba o no los cambios
# en caso de que los haya habido.

# parametros:
# form: self, como en arriba
# block: bloque con los datos a guardar o...
# commitTrigger: el nombre de un trigger que hace commit para la pantalla (o pagina)
# entry (opcional): objeto del entry que obtendra el foco si se hace rollback o commit
# ojo: es el objeto, no el nombre. nada de pasar "..., 'block.entry')"
# si, cierto, podria hacer un eval, pero seria inconsistente
# se puede?
def confirmRollback (form, block, commitTrigger, entry=None):
  changed = filter(lambda t: not t.isSaved(), form._object._blockList)
  res = 0
  if len(changed) > 0:
    res = form.genericBox('Hay cambios pendientes \n Qu desea hacer ?',['Grabar','Deshacer'])
    if res == 1:
      form.callTrigger(commitTrigger)
    elif res == 2:
      block.reset()
  if res in (0, 1, 2):
    block.clear()
    if entry:
      form.setFocus(entry)

#   'imprime' a travez de un report
def pleasePrint (form, docType, clientreport, args, command="lpr"):
  from os import system, remove
  from tempfile import mktemp

  fileName= mktemp (".txt")
  # hmmm, I prefer haskell or perl here :)
  # argStr= " ".join (map (lambda key: "%s=%s" % (key, args[key]), args.keys ()))
  argStr= " ".join (args)
  print "grcvs -D file --filter csv -d "+fileName+" ../report/"+clientreport+".grd "+argStr
  system ("grcvs -D file --filter csv -d "+fileName+" ../report/"+clientreport+".grd "+argStr)
  system ("../print/print.py "+' '.join([docType, fileName])+" | " + command)
  while form.genericBox ('Verifique que se haya impreso bien', ['Listo', 'Reintentar'])==2:
    system ("../print/print.py "+' '.join([docType, fileName])+" | " + command)
  # remove (fileName)
  print "nombre del archivo: %s" % fileName


def previewPrint (table):
  from os import system, remove
  from tempfile import mktemp

  file= mktemp (".txt")
  fileOut = open(file,'w')
  for line in table:
    fileOut.write(line+"\n")
  fileOut.close()

  system(gConfig('PrintCommand') % (file))

  remove (file)

def runFormWCallback (formFile, args, callbackFunction):
  runForm (formFile, args.update ({ 'callback': callbackFunction }))

def returnValue (value):
  f= getParameter ('callback')
  f (value)

def calcInvoiceType(clientIvaTaxProfile, providerIvaTaxProfile):
  #1 = 'Responsable Inscripto'
  #2 = 'Responsable No Inscripto'
  #3 = 'Exento'
  #4 = 'Monotributo'
  #5 = 'Consumidor Final'
  result = 'C'

  if str(providerIvaTaxProfile).strip() == '1':
    if str(clientIvaTaxProfile) in ('1','2'):
      result = 'A'
    elif str(clientIvaTaxProfile) in ('3','4','5'):
      result = 'B'
  return result

def addNDaysToDate(date , days=1):
  import mx.DateTime

  dateStr = str(date)
  return str(mx.DateTime.strptime(dateStr[:-3], "%Y-%m-%d %T") + 1)

def emptyEntry(entry):
  return (entry and len(str(entry).strip()))
