# Copyright 2003 Fundacion Via Libre
#
# This file is part of PAPO.
# 
# PAPO is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# PAPO is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with PAPO; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

def printField (field,size,justif='l'):
    if str(field).strip() == "None":
        field = ""
    # trunc the string to no more than size chars
    field= str(field)[:size]
    if justif.lower() == 'l':
        field = field.ljust(size)
    elif justif.lower() == 'r':
        field = field.rjust(size)
    else:
        field = field.center(size)
    return field

def printAccount (field,size):
    value = round(field,2)
    if value == 0:
      return ("0.00 ").rjust(size)  
    elif value > 0:
      return (str("%0.2f " % value )[:size]).rjust(size)
    else :
      return (str("(%0.2f)" % -value)[:size]).rjust(size)
   

def printTitle (field,size):
    return str(field).center(size)

def previewPrint (table, printCommand='xless'):
    from os import system, remove
    from tempfile import mktemp
    file= mktemp (".txt")
    fileOut = open(file,'w')
    for line in table:
      fileOut.write(line+"\n")
    fileOut.close()

    system("%s %s" % (printCommand, file))

    remove (file)

def previewPrintFromFile (fileName):
    from os import system, remove
    
    system(gConfig('PrintCommand')+" %s " % (fileName))
    #remove (file)

def printDate (size= 80):
    import time

    return printField ('Fecha: %s' % time.strftime ('%d/%m/%Y'), size, 'r')
