#!/usr/bin/env python

import mx.DateTime, sys, psycopg, readline, locale

max_iterations = 20
sql = """
INSERT INTO admin_period
    (name, start_time, end_time, admin_period_type, closed)
VALUES
    (%s, %s, %s, 1, false)
"""

try:
    (db, user, host)=sys.argv[1:]
except ValueError:
    print "usage: admin_period.py dbname user host"
    sys.exit(1)

# queremos que esto explote si falla
dbh = psycopg.connect("dbname=%s user=%s host=%s" % (db, user, host))
cur = dbh.cursor()

today = mx.DateTime.today()

try:
    old_locale = locale.getlocale(locale.LC_TIME)
    locale.setlocale(locale.LC_TIME, 'es_AR')
except locale.Error:
    pass

for i in xrange(max_iterations): 
    start_date = today.strftime('%Y-%m')
    try:
        start_date = raw_input("fecha de inicio de registracin para IVA [%s]: " % start_date) or start_date
    except EOFError:
        pass
    try:
        start_date = mx.DateTime.strptime(start_date, '%Y-%m')
        ok='S'
        try:
            ok = raw_input(start_date.strftime("Interpret la fecha como %B de %Y. Correcto [S/n]?")) or 'S'
        except EOFError:
            pass
        if ok.upper().startswith('S'):
            break
    except mx.DateTime.Error:
        print  "No pude interpretar %s como una fecha. Va de nuevo." % \
              (start_date,)
try:
    locale.setlocale(locale.LC_TIME, old_locale)
except locale.Error:
    pass

print "generando perodos:",
while start_date < today:
    end_date = mx.DateTime.strptime((start_date+31).strftime('%Y-%m'), '%Y-%m')
    label = start_date.strftime('%Y-%m')
    print label,
    cur.execute(sql, (label, str(start_date), str(end_date)))
    start_date = end_date
print 'listo.'

dbh.commit()
