#!/bin/false

# Copyright 2003 Fundacion Via Libre
#
# This file is part of PAPO.
# 
# PAPO is free software; you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation; either version 2 of the License, or
# (at your option) any later version.
# 
# PAPO is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with PAPO; if not, write to the Free Software
# Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

abort () {
    
    $DB -c "INSERT INTO __papo__ (key, value) VALUES ('BROKEN_DB', '$1 $2')" >& /dev/null

    echo
    echo "^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^^"
    tail "$LOGFILE"
    echo "================================================================"
    cat <<EOF


Bueno, hay buenas y malas noticas.

La mala es que pas algo inesperado que no s precisar. Yo estaba $1
$2, y de repente se muri.

EOF
    echo -n "La buena es que hiciste un backup antes"

    if [ "$do_backup" == "s" ]; then
        echo "."
        read -e -p "Quers restaurar el backup que hiciste cuando empezaste? [S/n]" confirm
        case "$confirm" in
            n*|N*)
                ;;
            *)
                $RESTORE
        esac
    else
        echo -e ", verdad?"
    fi

    exit 1
}
    
is_broken() {
    broken=$( $DB  -c "select to_char(date, 'YYYY-MM-DD%sHH24:MI:SS%s\n') || value from __papo__ where key='BROKEN_DB'" )
    if [ -n "$broken" ]; then

        echo "La base de datos est en un estado desconocido, y existe"
        echo "una muy buena posibilidad de que est rota."
        printf "Esto pas el $broken.\n" " a las " " cuando yo estaba "
        echo
        echo "por favor comunicate con papo-abusers."

        exit 1
    fi

    PAPO_VERSION=$( $DB -c "select value from __papo__ where key='version'" )
}

set_dir() {
    DIR=${PAPO_VERSION%.*([^.])}/$PAPO_VERSION
}

BASE="$1"
USER="${2:-papo}"
HOST="${3:-localhost}"
OPTS="-h $HOST -U $USER $BASE"

DUMPFILE=papo_backup
TEMPFILE=$(tempfile || echo "/tmp/.PAPO")
LOGFILE=papo_log

RESTORE="pg_restore -c -Spostgres -h $HOST -U $USER -d $BASE $DUMPFILE"
DUMP="pg_dump -F c -f $DUMPFILE $OPTS"
DB="psql -q -A -t -v ON_ERROR_STOP=1 $OPTS"
echo '\d' | $DB > /dev/null || usage

info
mv --backup=t "$LOGFILE" "$LOGFILE~" >& /dev/null || true
read -e -p "Quers hacer un backup de la base de datos? [S/n]" do_backup
case "$do_backup" in
    n*|N*)
        do_backup=n
        ;;
    *)
        do_backup=s
        if [ -f "$DUMPFILE" ]; then
            echo -n "Haciendo un backup del backup anterior..."
            mv --backup=t "$DUMPFILE" "${DUMPFILE}~"
            echo "ok"
        fi
        echo -n "Haciendo el backup... "
        $DUMP || exit
        echo "ok"
esac
