-- Copyright 2003 Fundacion Via Libre
--
-- This file is part of PAPO.
-- 
-- PAPO is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
-- 
-- PAPO is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with PAPO; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

BEGIN;
CREATE FUNCTION f() RETURNS boolean AS '
DECLARE
  x RECORD;
BEGIN
  SELECT INTO x * FROM pg_class WHERE relkind=\'r\' AND relname=\'alien_descriptive_item\';
  IF NOT FOUND THEN
    SELECT INTO x * FROM pg_class WHERE relkind=\'r\' AND relname=\'alien_service_item\';
    IF NOT FOUND THEN
      CREATE TABLE alien_descriptive_item (
        amount numeric(12,4),
        description text,
        id bigserial NOT NULL,
        entry bigint,
        account_plan bigint,
        alien_item bigint,
        PRIMARY KEY (id)
      );
      CREATE INDEX alien_descriptive_item_alien_item_idx ON alien_descriptive_item(alien_item);
    ELSE
      ALTER TABLE alien_service_item RENAME TO alien_descriptive_item;
    END IF;
  ELSE
    SELECT INTO x * FROM pg_class WHERE relkind=\'r\' AND relname=\'alien_service_item\';
    IF FOUND THEN
      RAISE EXCEPTION \'Existen alien_service_item y alien_descriptive_item!\';
    END IF;
  END IF;
  RETURN true;
END;
' LANGUAGE 'plpgsql';
SELECT f();
DROP FUNCTION f();
COMMIT;
