-- Copyright 2003 Fundacion Via Libre
--
-- This file is part of PAPO.
-- 
-- PAPO is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
-- 
-- PAPO is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with PAPO; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

BEGIN;
CREATE TABLE __state__ (
    state varchar(40) NOT NULL,
    id int NOT NULL,
    PRIMARY KEY (id)
);
INSERT INTO __state__ (id, state) VALUES (-1, 'UNDEFINED');

CREATE FUNCTION f () RETURNS boolean AS '
DECLARE
  i RECORD;
BEGIN
  FOR i IN SELECT relname FROM pg_class WHERE relkind = \'r\' AND relname LIKE \'_%_data\' LOOP
    RAISE NOTICE \'ALTER TABLE % ADD _state int REFERENCES __state__\', i.relname;
    EXECUTE \'ALTER TABLE \' || i.relname || \' ADD _state int REFERENCES __state__\';

    RAISE NOTICE \'UPDATE % SET _state=-1\', i.relname;
    EXECUTE \'UPDATE \'      || i.relname || \' SET _state=-1\';

    RAISE NOTICE \'ALTER TABLE % ADD CONSTRAINT not_null_%_state CHECK (_state IS NOT NULL)\', i.relname, i.relname;
    EXECUTE \'ALTER TABLE \' || i.relname || \' ADD CONSTRAINT not_null_\' || i.relname || \'_state CHECK (_state IS NOT NULL)\';

    RAISE NOTICE \'ALTER TABLE % ALTER _state SET DEFAULT -1\', i.relname; 
    EXECUTE \'ALTER TABLE \' || i.relname || \' ALTER _state SET DEFAULT -1\'; 
  END LOOP;
  RETURN true;
END;
' LANGUAGE 'plpgsql';
-- SELECT f();
DROP FUNCTION f();

COMMIT;
