-- Copyright 2003 Fundacion Via Libre
--
-- This file is part of PAPO.
-- 
-- PAPO is free software; you can redistribute it and/or modify
-- it under the terms of the GNU General Public License as published by
-- the Free Software Foundation; either version 2 of the License, or
-- (at your option) any later version.
-- 
-- PAPO is distributed in the hope that it will be useful,
-- but WITHOUT ANY WARRANTY; without even the implied warranty of
-- MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
-- GNU General Public License for more details.
-- 
-- You should have received a copy of the GNU General Public License
-- along with PAPO; if not, write to the Free Software
-- Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

BEGIN;
CREATE TABLE admin_period_type (
    id serial NOT NULL,
    name varchar(40) NOT NULL,
    PRIMARY KEY (id)
);


CREATE TABLE admin_period (
    end_time timestamp,
    closed boolean DEFAULT 'f',
    admin_period_type int,
    start_time timestamp,
    id serial NOT NULL,
    name varchar(40) NOT NULL,
    PRIMARY KEY (id)
);
CREATE INDEX admin_period_type_idx ON admin_period(admin_period_type);

ALTER TABLE admin_period

    ADD FOREIGN KEY (admin_period_type) REFERENCES admin_period_type
    ON DELETE RESTRICT ON UPDATE RESTRICT;

CREATE TABLE alien_document_admin_period (
    admin_period int,
    id bigserial NOT NULL,
    alien_document bigint,
    PRIMARY KEY (id)
);
CREATE INDEX alien_document_admin_period_idx ON alien_document_admin_period(alien_document);
CREATE INDEX alien_admin_period_idx ON alien_document_admin_period(admin_period);

ALTER TABLE alien_document_admin_period
    ADD FOREIGN KEY (admin_period) REFERENCES admin_period
    ON DELETE RESTRICT ON UPDATE RESTRICT;
ALTER TABLE alien_document_admin_period
    ADD FOREIGN KEY (alien_document) REFERENCES alien_document
    ON DELETE RESTRICT ON UPDATE RESTRICT;

CREATE TABLE own_document_admin_period (
    id bigserial NOT NULL,
    own_document bigint,
    admin_period int,
    PRIMARY KEY (id)
);
CREATE INDEX own_document_admin_period_idx ON own_document_admin_period(own_document);
CREATE INDEX own_admin_period_idx ON own_document_admin_period(admin_period);

ALTER TABLE own_document_admin_period
    ADD FOREIGN KEY (own_document) REFERENCES own_document
    ON DELETE RESTRICT ON UPDATE RESTRICT;
ALTER TABLE own_document_admin_period
    ADD FOREIGN KEY (admin_period) REFERENCES admin_period
    ON DELETE RESTRICT ON UPDATE RESTRICT;

--data
INSERT INTO admin_period_type ("id","name") VALUES (1,'libro iva');

COMMIT;